# consistency group

Block Storage v2, v3

## consistency group add volume

Add volume(s) to consistency group

    openstack consistency group add volume
        <consistency-group>
        <volume>
        [<volume> ...]

consistency-group

  Consistency group to contain <volume> (name or ID)

volume

  Volume(s) to add to <consistency-group> (name or ID) (repeat option to add multiple volumes)

## consistency group create

Create new consistency group.

    openstack consistency group create
        (--volume-type
        <volume-type>
        |
        --source <consistency-group>
        |
        --snapshot <consistency-group-snapshot>
        )
        [--description <description>]
        [--availability-zone <availability-zone>]
        [<name>]

--volume-type <volume-type>

  Volume type of this consistency group (name or ID)

--source <consistency-group>

  Existing consistency group (name or ID)

--snapshot <consistency-group-snapshot>

  Existing consistency group snapshot (name or ID)

--description <description>

  Description of this consistency group

--availability-zone <availability-zone>

  Availability zone for this consistency group (not available if creating consistency group from source)

name

  Name of new consistency group (default to None)

## consistency group delete

Delete consistency group(s).

    openstack consistency group delete
        [--force]
        <consistency-group>
        [<consistency-group> ...]

--force

  Allow delete in state other than error or available

consistency-group

  Consistency group(s) to delete (name or ID)

## consistency group list

List consistency groups.

    openstack consistency group list
        [--format-config-file FORMAT_CONFIG]
        [--sort-column SORT_COLUMN]
        [--sort-ascending | --sort-descending]
        [--all-projects]
        [--long]

--format-config-file <FORMAT_CONFIG>

  Config file for the dict-to-csv formatter

--sort-column SORT_COLUMN

  specify the column(s) to sort the data (columns specified first have a priority, non-existing columns are ignored), can be repeated

--sort-ascending

  sort the column(s) in ascending order

--sort-descending

  sort the column(s) in descending order

--all-projects

  Show details for all projects. Admin only. (defaults to False)

--long

  List additional fields in output

## consistency group remove volume

Remove volume(s) from consistency group

    openstack consistency group remove volume
        <consistency-group>
        <volume>
        [<volume> ...]

consistency-group

  Consistency group containing <volume> (name or ID)

volume

  Volume(s) to remove from <consistency-group> (name or ID) (repeat option to remove multiple volumes)

## consistency group set

Set consistency group properties

    openstack consistency group set
        [--name <name>]
        [--description <description>]
        <consistency-group>

--name <name>

  New consistency group name

--description <description>

  New consistency group description

consistency-group

  Consistency group to modify (name or ID)

## consistency group show

Display consistency group details.

    openstack consistency group show <consistency-group>

consistency-group

  Consistency group to display (name or ID)

this page last updated: 2026-04-01 09:44:20

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.